%define aurox_ver 9.3
%define rel 1

Summary: Library for tracking application startup
Name: startup-notification
Version: 0.5
Release: %{aurox_ver}.aur.%{rel}
URL: http://www.freedesktop.org/software/startup-notification/
Source0: %{name}-%{version}.tar.bz2
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

%description

This package contains libstartup-notification which implements a
startup notification protocol. Using this protocol a desktop
environment can track the launch of an application and provide
feedback such as a busy cursor, among other features.

%package devel
Summary: Development portions of startup-notification
Group: Development/Libraries
Requires: startup-notification = %{version}

%description devel

Header files and static libraries for libstartup-notification.

%prep
%setup -q

%configure

%build

make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

/bin/rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)

## FIXME add when upstream tarball is fixed to contain docs
## doc/startup-notification.txt
%doc AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)

%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

%changelog
* Wed Jan 14 2004 Aurox Team <aurox@aurox.org> 0:0.5-9.3.aur.1
-rebuild for Aurox 9.3
- rebuild with GNOME 2.4.1 for Aurox 9.2

* Wed Jun 25 2003 Robert Glowczynski <robertg@software.com.pl> 0.5-9.1.aur.1
- rebuilt

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 0.5-1
- 0.5

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec  2 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


